org.apache.ignite.internal.portable.api

## Enum PortableProtocolVersion

- java.lang.Object
- - java.lang.Enum<PortableProtocolVersion>
  - - org.apache.ignite.internal.portable.api.PortableProtocolVersion

All Implemented Interfaces:
  Serializable, Comparable<PortableProtocolVersion>

    public enum PortableProtocolVersion
    extends Enum<PortableProtocolVersion>

Portable protocol version.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`VER_1_4_0` Ignite 1.4.0 release.

### Method Summary

Methods
`static PortableProtocolVersion` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static PortableProtocolVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PortableProtocolVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VER_1_4_0

    public static final PortableProtocolVersion VER_1_4_0

Ignite 1.4.0 release.

### Method Detail

#### values

    public static PortableProtocolVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PortableProtocolVersion c : PortableProtocolVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PortableProtocolVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static PortableProtocolVersion fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015